@font-face {
    font-family: 'Handwrite'; 
    src: url('assets/DanaYadAlefAlefAlef-Normal.woff'); 
}
:root {
    --section-height: 500px;
  }
@media (max-height: 500px) {
    :root {
        --section-height: 350px;
      }
}
@media (min-height: 800px) {
    :root {
        --section-height: 650px;
      }
}
@media (min-height: 1000px) {
    :root {
        --section-height: 680px;
      }
}

body {
    font-family: Heebo, sans-serif;
    margin: 0;
    padding: 0;
    background-image: url("photos/background_triangle.jpeg");
}
html, body {margin: 0; height: 100%; overflow: hidden}

header {
    background-image: url("photos/view.jpg");
    background-position: center;
    background-color:white;
    color: #2f2f2f;
    padding: 1rem;
    text-align: right;
    z-index: 192;
}
nav {
    display:block;
    z-index: 192;
}
nav ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    justify-content: center;
    background-image: url("photos/purple.png");
}

nav ul li {
    margin: 0 1rem;
}

nav ul li a .fas {
    display: inline-block;
    opacity: 0;
    margin-right: 0.5rem;
}

nav ul li a:hover .fas,
nav ul li a.active .fas {
    display: inline-block;
    animation: slide-up 0.3s forwards;
    opacity: 1;
}

p { margin: 0.2rem; }


@keyframes slide-up {
    from {
        transform:translateY(10px);
        opacity: 0;
    }
    to {
        transform: translateY(0);
        opacity: 1;
    }
}

nav ul li a {
    color: #fff;
    text-decoration: none;
    padding: 1rem;
    display: block;
}

main {
    padding: 1rem;
    position: relative;
}

h4 {
    margin:0;
    padding:0;
}

section {
    display: block;
    position:absolute;
    opacity: 0;
    left: 0; 
    right: 0; 
    margin-left: auto; 
    margin-right: auto; 
    width: 70%; 
    z-index: 1;
}

section.active {
    display: block;
    opacity: 1;
    transition: opacity 0.5s ease-in-out;
    align-self: center;
    z-index:999;
}


#shutter {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    display: block;
    z-index:-1;
}

.shutter-blade  {
    z-index:-1;
    display:block;
    width: 55vmax;
    height: 55vmax;
    right: 50%;
    top:-30vmax;
    position: absolute;
    pointer-events: none;
    will-change: transform;
    background: hsl(calc(1turn * var(--p)), 80%, 80%);
    opacity: 100;
    background: linear-gradient(45deg, #484848, black);
    border: solid 5px #8a8888;
  
    --p: calc(var(--i) / var(--blades));
  
    animation: click 1s cubic-bezier(0.5, 0, 0.5, 1) 0.2s;
  
    transform-origin: bottom right;
    transform: rotate(-0.5turn) rotate(calc(1turn * var(--p))) skewX(30deg)
      translateX(-100%) translateY(90%);
  }

@keyframes click {
    40%,
    50% {
      transform: rotate(-0.2turn) rotate(calc(1turn *  var(--i) / var(--blades))) skewX(30deg)
        translateX(0%) translateY(0%);
    }
  }

/* About */

.about {
    overflow-y:scroll;
    max-height:var(--section-height);
    text-align: center;
}
.about_quote {
    display: flex;
    margin-right:10rem;
    background: linear-gradient(to right, rgba(255,255,255,0) 0%,rgba(255,255,255,1) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
}
.about span {
    text-align: right;
    margin-bottom: 0.5em;
}
.about .handwrite {
    font-family: 'Handwrite';
    font-weight: bolder;
    line-height:1.5;
}
.handwrite_container {
    display:flex;
}

.handwrite_image {
    width:50%;
}

.about p {
    margin-bottom: 0.5em;
}
.about-image {
    max-height: 14rem;
}

.about .education {
    text-align: center;
}
.about .education hr {
    width:6rem;
}


/* Gallery */
#section2 h2 {
    text-align: center;
}

.gallery-container {
    display: flex;
    align-items: center;
    width: 100%;
    max-width: 1000px;
    overflow: hidden;
    position: relative;
    margin:auto;
}

.gallery {
    align-items: center;
    overflow-x: scroll;
    scroll-snap-type: x mandatory;
    display: flex;
    width: 100%;
}

/* Credit - https://codepen.io/Snugug/pen/bzRwyw */
.filmstrip {
    display: flex;
    --background: rgb(0, 0, 0);
    --size: 10px;
    background-image:
        linear-gradient(to right, var(--background) var(--size), transparent var(--size)),
        linear-gradient(to bottom, var(--background) var(--size), transparent var(--size)),
        linear-gradient(to right, var(--background) var(--size), transparent var(--size)),
        linear-gradient(to bottom, var(--background) var(--size), transparent var(--size)),
        linear-gradient(to bottom, transparent var(--size), var(--background) var(--size));
    background-size: calc(var(--size) * 2) var(--size), calc(var(--size) * 2) var(--size), calc(var(--size) * 2) var(--size), calc(var(--size) * 2) var(--size), 100% calc(100% - var(--size) * 3);
    background-repeat: repeat-x;
    background-position: 0 var(--size), top left, 0 calc(100% - var(--size)), bottom left, 0 var(--size);
    padding: calc(var(--size) * 3) calc(var(--size) * 2.5);
    box-sizing: border-box;
      
}

.filmstrip img {
    max-height: 300px;
    margin: 0 5px;
    border: 2px solid #fff;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    scroll-snap-align: start;
    flex-shrink: 0;
    cursor: pointer;
}

.modal {
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.9); /* Black w/ opacity */
    justify-content: center;
    align-items: center;
}

.modal-content {
    margin: auto;
    display: block;
    max-width: 80%;
    max-height: 80%;
    margin-top: 5%;
}

/* Close Button */
.close {
    position: absolute;
    top: 20px;
    right: 35px;
    color: #ffffff;
    font-size: 40px;
    font-weight: bold;
    cursor: pointer;
    display: none;
}

.caption {
    color: #fff;
    margin-top: 15px;
    text-align: center;
}

/* Animation */
.modal-content, .close {
    animation-name: zoom;
    animation-duration: 0.6s;
}

@keyframes zoom {
    from {transform: scale(0)} 
    to {transform: scale(1)}
}


/* RECS */
.recommendations {
    overflow-y:scroll;
    max-height: var(--section-height);
}

.rec {
    display: inline-block;
    width: clamp(20rem, calc(20rem + 2vw), 22rem);
    overflow: hidden;
    box-shadow: 0 .1rem 1rem rgba(0, 0, 0, 0.1);
    min-height:200px;
    border-radius: 1em;
    background: #ECE9E6;
    background: linear-gradient(to right, #FFFFFF, #faf9f8);
    margin: 2rem;
    padding: 1rem;
}

.rec_large {
    width:80%;
}

.rec::before {
    content: "★★★★★";
    color:gold;
    text-align: center;
}
.rec_name {
    display:block;
    color:purple;
    font-weight: bold;
}




/* COURSES */
.courses {
    overflow-y:scroll;
    max-height:var(--section-height);
}

.course {
    margin: 5px;
    margin-bottom:2rem;
    border: 2px solid #fff;
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1);
    scroll-snap-align: start;
}

.course_image {
    margin: 5px;
    max-width: 200px;
}

.workshops-image {
    max-height: 200px;
}

.course ul {
    list-style: none;
  }
  
.course ul li:before {
    content: '✓';
  }

/* BLOG */
.blog {
    overflow-y:scroll;
    max-height:var(--section-height);
}
.link_header {
    margin-bottom: 1rem;
    text-align: center;
}
.link_header a {
    text-decoration: none;
}
.link_header a:hover {
    font-weight: bolder;
}

.blog_entry {
    display: flex;
    flex-direction: column;
    width: 90%;
    overflow: hidden;
    box-shadow: 0 .1rem 1rem rgba(0, 0, 0, 0.1);
    border-radius: 1em;
    background: #ECE9E6;
    background: linear-gradient(to right, #FFFFFF, #ECE9E6);
    margin-bottom: 3rem;
}
.blog_title {
    font-size: 1.5rem;
    margin-bottom: 1rem;
    margin-top: 1rem;
}
.blog_first::first-letter {
    font-size: 1.5rem;
}
.blog_image_container .blog_image {
    width:50%;
}
.blog_image_container {
    display: flex;
    flex-direction: row;
    flex-wrap:wrap;
    align-items:flex-start; /* else image aare stretching in Chrome */
}
.side_by_side {
    display:flex;
    flex-direction: row;
}
/* FOOTER */

.fa-envelope:before {
    content: "\f0e0";
}

.fa-facebook:before {
    content: "\f09a";
}

.fa-whatsapp:before {
    content: "\f232";
}

.fa-instagram:before {
    content: "\f16d";
}

.footer {
    position: fixed;
    bottom: 0.5rem;
    width: 100%;
    text-align: center;
    z-index:999;

}
.footer i {
    font-size: 2rem;
    margin-left:0.5rem;
    color:rgb(85, 26, 139);
}

.footer i:hover {
    transform: scale(1.5);
}

.fa-facebook:hover {
    color: #3b5998;
}

.fa-whatsapp:hover {
    color: #25D366;
}

.fa-instagram:hover {
    color: #E4405F;
}


/* Mobile overrides */

@media (max-width: 600px) {
    nav ul li {
        margin: 0;
        text-align: center;
    }
    nav ul li a .fas{
        margin-right: 0;
    }
    .shutter-blade  {
        top:-20vmax;
    }
    section {
        width: 90%; 
    }
    .gallery-container {
        width: 100%;
    }

    nav ul li a {
        font-size: 0.8rem;
    }
    .about_quote {
        margin-right:0;
    }
    .handwrite_container{
        display:block;
    }

    header h1, header h4{
        box-sizing: border-box;
        color: rgb(255, 255, 255);
        margin-block-end: -5px;
        margin-block-start: 0px;
        text-align: center;
        text-shadow: rgb(0, 0, 0) -1.62px 1.62px 3px;
        -webkit-font-smoothing: antialiased;
        -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
        -webkit-text-stroke-color: rgba(0, 0, 0, 0);
        -webkit-text-stroke-width: 1px;
    }
    .rec {
        margin-right:0;
        width:90%;
    }
}